package com.pcloud.book.cultivate.dao;

import com.pcloud.book.cultivate.dto.CultivateNotifyDTO;
import com.pcloud.book.cultivate.entity.Cultivate;
import com.pcloud.book.cultivate.entity.CultivateNotifyItem;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface CultivateNotifyItemDao extends BaseDao<CultivateNotifyItem> {

    List<CultivateNotifyItem> getNotifyItemsByMessageId(Long messageId);

    List<CultivateNotifyItem> getByMessageIds(List<Long> messageIds);

    List<CultivateNotifyItem> getNotifyItemsByMessageId4Jump(Long messageId);

    List<CultivateNotifyItem> getNotifyItemsByMessageIds4Jump(List<Long> messageIds);
}
